> For the complete documentation index, see [llms.txt](https://docs.inverter.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.inverter.network/sdk/typescript-sdk.md).

# TypeScript SDK

## Installation

To install the SDK, use your preferred package manager from the command line. For example, if you use bun, execute the following command:

```bash
bun add @inverter-network/sdk
```

***

## Initializing the TypeScript SDK

Import the class and pass the parameters and initialize the class instance

{% code overflow="wrap" %}

```typescript
// Import public and wallet client creation functions
import { createPublicClient, createWalletClient, http } from 'viem'
// Import function to create account
import { privateKeyToAccount } from 'viem/accounts'
// Import the chain info. See all the possible chains to import: 
import { sepolia } from 'viem/chains'
// Import the Inverter class
import { Inverter, getERPCTransport } from '@inverter-network/sdk'

// Setup Public Client
// -----------------------------------------

const publicClient = createPublicClient({ 
  chain: sepolia,
  transport: getERPCTransport(sepolia.id)
})

// Setup Wallet Client
// -----------------------------------------

// Create account. PLEASE NOTE: do not store you private key in plain sight like the example
const account = privateKeyToAccount(process.env.PRIVATE_KEY) 
// Setup Wallet Client
const walletClient = createWalletClient({
  account, 
  chain: sepolia,
  transport: getERPCTransport(sepolia.id)
})


// Setup Inverter SDK
// -----------------------------------------

export const sdk = Inverter.getInstance({ publicClient, walletClient })
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.inverter.network/sdk/typescript-sdk.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
